# Get customer

Retrieves a single customer by ID

Endpoint: GET /customers/{customerId}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `customerId` (integer, required)
    The system-generated identifier for the Customer
    Example: 12345678

## Response 200 fields (application/json):

  - `customerId` (integer)
    Example: 12345678

  - `name` (string)
    Example: "Cam Newton"

  - `company` (string)
    Example: "Test Company"

  - `street1` (string)
    Example: "123 War Eagle Lane"

  - `city` (string)
    Example: "Auburn"

  - `state` (string)
    Example: "AL"

  - `postalCode` (string)
    Example: "36830"

  - `countryCode` (string)
    Example: "US"

  - `phone` (string)
    Example: "555-555-5555"

  - `email` (string)
    Example: "supermancam@example.com"

  - `addressVerified` (string)
    Example: "Verified"

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Invalid request parameters"

## Response 401 fields (application/json):

  - `message` (string)
    Example: "Invalid API credentials"

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Resource not found"

## Response 500 fields (application/json):

  - `message` (string)
    Example: "An internal error occurred"


